Skip to main content
GET
/
api
/
object
List objects.
curl --request GET \
  --url https://api.coinfer.ai/api/object \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "data": {
    "total": 123,
    "page": 123,
    "count_per_page": 123,
    "objects": [
      {
        "object_type": "<string>",
        "short_id": "<string>",
        "name": "<string>",
        "status": "<string>",
        "n_chains": 123,
        "n_variables": 123,
        "n_samples": 123,
        "sample_update_time": "2023-11-07T05:31:56Z",
        "run_on": "<string>",
        "model_name": "<string>",
        "model_id": "<string>",
        "meta": {
          "action": "",
          "iteration_count": 123
        },
        "workflow_id": "",
        "workflow_name": ""
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_no
integer
default:1

page number

page_size
integer
default:100

page size

Required range: x <= 1000
object_type
enum<string>
required
Available options:
model,
experiment,
share,
event,
callback,
relation,
data,
workflow,
with_share_info
boolean
default:false

Whether to return the related share info

shared_by_me
boolean
default:false

Filter objects shared by the current user

shared_with_me
boolean
default:false

Filter objects shared with the current user

workflow_id
string
default:""

Filter by workflow id

model_ids
string[]
status
enum<string>
default:""
Available options:
NEW,
RUN,
FIN,
ERR,
run_on
enum<string>
default:""
Available options:
Lambda,
Fargate,
Local,
has_model
enum<string>
default:""
Available options:
true,
false,
tags
enum<string>[]

Filter by tags

All possible tags for cloudfunctions

Including: CloudFunctionManagedTag and CloudFunctionKind

Available options:
internal,
builtin,
reserved,
model,
code

Response

OK

status
string
required
Allowed value: "ok"
data
ListingRspData[Annotated[Union[ListExperimentRsp, ListModelsRspItem, CreateEventRsp, CreateCallbackRsp, CreateRelationRsp, CreateDataRsp, CreateWorkflowRsp], FieldInfo(annotation=NoneType, required=True, discriminator='object_type')]] · object
required